/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 * 
 * Alumne : Miquel Vaquer Menorca
 */

package web.model;

/**
 * Objecte Client, representa el Model de dades de Client
 * @author Miquel Vaquer Menorca
 */
public class Client 
{
    private String id_Client;	
    private String nom;
    private String cognoms;
    private String dni;
    private String telefon;

    public Client(String id_Client, String nom, String cognoms, String dni, String telefon) 
    {
        this.id_Client = id_Client;
        this.nom = nom;
        this.cognoms = cognoms;
        this.dni = dni;
        this.telefon = telefon;
    }

    public String getId_Client() {
        return id_Client;
    }

    public String getNom() {
        return nom;
    }

    public String getCognoms() {
        return cognoms;
    }

    public String getDni() {
        return dni;
    }

    public String getTelefon() {
        return telefon;
    }

    public void setId_Client(String id_Client) {
        this.id_Client = id_Client;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public void setCognoms(String cognoms) {
        this.cognoms = cognoms;
    }

    public void setDni(String dni) {
        this.dni = dni;
    }

    public void setTelefon(String telefon) {
        this.telefon = telefon;
    }
}



