<%-- 
 Universitat Oberta de Catalunya (UOC)
 Projecte de Final de Carrera :
 Disseny i implementació d'un Framework de presentació
 per aplicacions J2EE

 Projecte Java WEB per a prova del FrameworkTOMIR
 clientsList.jsp :  Formulari jsp on es mostra un llistat de Clients
 
 Alumne : Miquel Vaquer Menorca
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>

<%@ taglib uri="/WEB-INF/fw-taglib.tld" prefix="fw-tags" %>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Llistat de Clients</title>
        <link href="css/estils.css" rel="stylesheet" type="text/css" />
    </head>
    
    <body>
        <header>
            <img id="logo" src="img/uoc-logo.png">
            <h1><fw-tags:showMessage key="title" /></h1>
        </header>
        
        <section id="seccio-principal">
            <div id="article-tableListClients">
                <table class="TableClients">
                    <%-- S'utilitza l'etiqueta (TAG) tableList per mostrar la llista de clients--%>
                    <fw-tags:tableList nomLlista="clients" capçalera="client.id,client.nom,client.cognoms,client.dni,client.telefon" camps="id_Client,nom,cognoms,dni,telefon"/>
                </table>
            </div>
            
            <div id="article-tableAltaClients">
                <h2><fw-tags:showMessage key="title.alta.clients" /></h2>
                <table class="TableAltaClients">
                    <form>
                        <tr> 
                            <td><fw-tags:showMessage key="client.id" /></td>
                            <td><fw-tags:OutputText nameText="id_Client" typeText="text"/></td>
                        </tr>
                        <tr>
                            <td><fw-tags:showMessage key="client.nom" /></td>
                            <td><fw-tags:OutputText nameText="nom" typeText="text"/></td>
                        </tr>
                        <tr>
                            <td><fw-tags:showMessage key="client.cognoms" /></td>
                            <td><fw-tags:OutputText nameText="cognoms" typeText="text"/></td>
                        </tr>
                        <tr>
                            <td><fw-tags:showMessage key="client.dni" /></td>
                            <td><fw-tags:OutputText nameText="dni" typeText="text"/></td>
                        </tr>
                        <tr>
                            <td><fw-tags:showMessage key="client.telefon" /></td>
                            <td><fw-tags:OutputText nameText="telefon" typeText="text"/></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td><fw-tags:Button nameButton="action" typeButton="Submit" valueButton="AltaClient"/></td>
                        </tr>
                    </form>
                </table>
            </div>
        </section>
    </body>
</html>
