/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 * 
 * Alumne : Miquel Vaquer Menorca
 */

/**
 * Classe intermitja entre la petició (request) i la capa de negoci. 
 * El controlador selecciona l'action adequat per a cada petició i es crida
 * al mètode execute.
 * També es defineix el mètode validate() per a validar el formulari.
*/

package fw.action;

public interface Action{	
    public void execute(ActionForm actionForm) throws Exception;
    public boolean validate(ActionForm actionForm) throws Exception;

}
