/*
 * Universitat Oberta de Catalunya (UOC)
 * Projecte de Final de Carrera :
 * Disseny i implementació d'un Framework de presentació
 * per aplicacions J2EE
 * 
 * Alumne : Miquel Vaquer Menorca
 */
package fw.exceptions;

/**
 * Classe que gestiona les excepcions del Framework.
 * @author Miquel Vaquer Menorca
 */
public class TomirException extends RuntimeException 
{

    /**
     * Creates a new instance of
     * <code>TomirException</code> without detail message.
     */
    public TomirException() {
    }

    /**
     * Constructs an instance of
     * <code>TomirException</code> with the specified detail message.
     *
     * @param msg the detail message.
     */
    public TomirException(String msg) {
        super(msg);
    }
}