<%-- 
 Universitat Oberta de Catalunya (UOC)
 Projecte de Final de Carrera :
 Disseny i implementació d'un Framework de presentació
 per aplicacions J2EE

 Projecte Java WEB per a prova del FrameworkTOMIR
 clientsOK.jsp :  Formulari jsp que mostra un missatge de confirmació 
                  d'alta de client.
 
 Alumne : Miquel Vaquer Menorca
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib uri="/WEB-INF/fw-taglib.tld" prefix="fw-tags" %>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Llistat de Clients</title>
        <link href="css/estils.css" rel="stylesheet" type="text/css" />
    </head>
        
    <body>
        <header>
            <img id="logo" src="img/uoc-logo.png">
            <h1><fw-tags:showMessage key="title.alta.clients" /></h1>
        </header>
            
        <section id="seccio-altaOK">
            <h2><fw-tags:showMessage key="client.altaOK"/></h2>
            <img id="logo-ok" src="img/ok.png">
            <p><fw-tags:showMessage key="client.tornar"/>
                <form>
                    <fw-tags:Button nameButton="action" typeButton="Submit" 
                                    valueButton="ListClient"/>
                    
                </form>
            </p>
    </section>
</body>
</html>
